library alghwalbi_core;

import 'dart:core';
import 'package:alghwalbi_core/models/report_model.dart';
import 'package:alghwalbi_core/services/api_service_helper.dart';
import 'package:alghwalbi_core/views/custom_animated_pop/animations/custom_rect_tween.dart';
import 'package:alghwalbi_core/views/custom_animated_pop/animations/heri_dialog_route.dart';
import 'package:excel/excel.dart' as excel_package;
import 'package:firebase_core/firebase_core.dart';
import 'package:firebase_messaging/firebase_messaging.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/foundation.dart';
import 'dart:math';
import 'package:flutter/services.dart';
import 'package:image_picker/image_picker.dart';
import 'package:lifecycle/lifecycle.dart';
import 'package:package_info_plus/package_info_plus.dart';
import 'package:printing/printing.dart';
import 'package:rive/rive.dart';
import 'dart:convert';
import 'package:shared_preferences/shared_preferences.dart';
import 'dart:io';
import 'package:auto_animated/auto_animated.dart' as animation;
import 'package:beamer/beamer.dart';
import 'package:http/http.dart' as http;
import 'package:http_parser/http_parser.dart';
import 'package:path/path.dart' as path;
import 'package:intl/intl.dart' as intl;
import 'package:path_provider/path_provider.dart' as path_provider;
import 'package:soundpool/soundpool.dart';
part './main.dart';
part './views/components/text_form_label.dart';
part './views/components/text_form_widget.dart';
part './views/components/search_box.dart';
part './views/components/network_image.dart';
part './views/components/checkbox.dart';
part './views/components/button_post.dart';
part './views/components/select_dialog.dart';
part './views/custom_shimmer_loading/shimmer_animated_loading.dart';
part './views/custom_animated_pop/animated_popup.dart';
part './views/lazy_load_widget/lazy_load_widget.dart';
part 'views/base_page/mobile.scaffold.dart';
part 'views/base_page/mobile.header.dart';
part 'views/components/text.dart';
part 'views/base_page/delegates/transform.delegate.dart';
part 'views/base_page/delegates/fadeOut.delegate.dart';
part 'views/base_page/delegates/fixed.delegate.dart';
part 'views/base_page/delegates/scale.delegate.dart';
part 'views/base_page/delegates/transition.delegate.dart';
part 'views/base_page/delegates/builder.delegate.dart';
part 'views/base_page/delegates/delegate.config.dart';
part './services/api.service.dart';
part './services/config.service.dart';
part './services/image.service.dart';
part './services/layout.service.dart';
part './services/navigation.service.dart';
part './services/theme.service.dart';
part './services/beamer_service.dart';
part './models/base_model.dart';
part './interfaces/theme.interface.dart';
part './helpers/message_type.dart';
part './helpers/operation_result.dart';
part './helpers/extensions.dart';
part './controllers/base_controller.dart';
part 'controllers/core_controller.dart';
part './views/state.dart';
part 'views/core_state.dart';
part 'services/sound.service.dart';
part 'services/platform.service.dart';
part 'services/excel.service.dart';
part 'services/static_cache.service.dart';
part 'services/notification_service/notification.service.dart';
part 'services/notification_service/timeout_message.service.dart';
